Loading...
Searching...
No Matches
Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT > Class Template Reference

Default implementation for the parameters required by the default three-phase capillary pressure model used by Eclipse. More...

`#include <EclDefaultMaterialParams.hpp>`

Inheritance diagram for Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT >:

## Public Types

using | GasOilParams = GasOilParamsT
using | OilWaterParams = OilWaterParamsT

## Public Member Functions

| EclDefaultMaterialParams ()
| The default constructor.
const GasOilParams & | gasOilParams () const
| The parameter object for the gas-oil twophase law.
GasOilParams & | gasOilParams ()
| The parameter object for the gas-oil twophase law.
void | setGasOilParams (std::shared_ptr< GasOilParams > val)
| Set the parameter object for the gas-oil twophase law.
const OilWaterParams & | oilWaterParams () const
| The parameter object for the oil-water twophase law.
OilWaterParams & | oilWaterParams ()
| The parameter object for the oil-water twophase law.
void | setOilWaterParams (std::shared_ptr< OilWaterParams > val)
| Set the parameter object for the oil-water twophase law.
void | setSwl (Scalar val)
| Set the saturation of "connate" water.
Scalar | Swl () const
| Return the saturation of "connate" water.
bool | inconsistentHysteresisUpdate () const
| Specify whether inconsistent saturations should be used to update the hysteresis parameters.
template<class Serializer>
void | serializeOp (Serializer &serializer)
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class Traits, class GasOilParamsT, class OilWaterParamsT>
class Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT >

Default implementation for the parameters required by the default three-phase capillary pressure model used by Eclipse.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.

## Member Function Documentation

## inconsistentHysteresisUpdate()

template<class Traits, class GasOilParamsT, class OilWaterParamsT>

bool Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT >::inconsistentHysteresisUpdate | ( |  | ) | const

inline

Specify whether inconsistent saturations should be used to update the hysteresis parameters.

Returning 'true' is wrong from a physical point of view because the saturations which are used to update the hysteresis parameters are calculated differently than the ones used to calculate the relperms and capillary pressures. Since Eclipse E100 probably uses inconsistent saturations, we return true here anyway.

## setSwl()

template<class Traits, class GasOilParamsT, class OilWaterParamsT>

void Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT >::setSwl | ( | Scalar | val | ) |

inline

Set the saturation of "connate" water.

According to

http://www.glossary.oilfield.slb.com/en/Terms/c/connate_water.aspx

the connate water is the water which is trapped in the pores of the rock during the rock's formation. For our application, this is basically a reduction of the rock's porosity...

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclDefaultMaterialParams.hpp